curl --request PUT \
--url https://{tenant}.ekso.app/api/docs/doc/{docId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"folderId": "<string>",
"name": "<string>",
"context": [
{
"owner": 123,
"ownerId": "<string>"
}
],
"restrictedTo": [
"<string>"
],
"aiAccess": true,
"archived": true,
"author": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'curl --request PUT \
--url https://{tenant}.ekso.app/api/docs/doc/{docId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"folderId": "<string>",
"name": "<string>",
"context": [
{
"owner": 123,
"ownerId": "<string>"
}
],
"restrictedTo": [
"<string>"
],
"aiAccess": true,
"archived": true,
"author": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
The unique identifier of the document to update.
The updated document data; Id must match docId and TenantId must match the current tenant.
The document was updated successfully.